# Generated from messenger_pigeon-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name messenger_pigeon

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: A means of getting data from one location to another
License: MIT
URL: https://github.com/cshclm/MessengerPigeon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(activeresource) = 4.0
# BuildRequires: rubygem(sequel) >= 4.26
# BuildRequires: rubygem(sequel) < 5
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
BuildArch: noarch

%description
The goal of MessengerPigeon is to provide a highly-configurable and adaptable
animal to take record-based data from any number of sources, and copy that
data to any number of destinations.  A pigeon may modify, drop or add to your
data while in transit, but should only do these things when you ask it nicely.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/messenger-pigeon
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 0.3.0-1
- Initial package
